Integrate Allow Duplicate Ticket No After Option in Sale and Refund
10/16/2024 03:33 PM - Junaid M

Status: Ready for Coding Start date: 10/16/2024
Priority: Normal Due date:

Assignee: Amal Ck % Done: 20%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Module: Ticket Issue

Description

History

#1 - 10/16/2024 03:45 PM - Junaid M

Requirement:

Ticket No Repeats, then need a solution for identifying that. Based on Admin settings. Capture ticket check this allowed rule
Solution:

Admin Settings:-

1. Add New settings in Sale And Refund

"Allow Duplicate Ticket No After" Textbox, Dropdown-> Years, Months, Days

Db:-

1. Update these fields on create partial refund/cancel => service.tbl_supp_doc_no->vhr_sub_supp_doc_no, sin_avoid_duplicate_flag

#2 - 10/16/2024 03:48 PM - Junaid M

- Subject changed from Integrate Allow Duplicate Ticket No After Option in Ticketissue to Integrate Allow Duplicate Ticket No After Option in Sale and
Refund

#3 - 12/11/2024 02:43 PM - Anil KV
- Status changed from New to Ready for Coding
- % Done changed from 0 to 20

#4 - 01/27/2025 02:08 PM - Anil KV

- Assignee changed from travvise Admin to Amal Ck
